@media (min-width: 1440px) {
    main {
        padding-left: 0 !important;
    }

    footer {
        padding-left: 0 !important;
    }
}

table td {
    font-size: 0.9rem;
    font-weight: 400;
}

.force-wrap {
   white-space: pre-wrap;      /* CSS3 */
   white-space: -moz-pre-wrap; /* Firefox */
   white-space: -pre-wrap;     /* Opera <7 */
   white-space: -o-pre-wrap;   /* Opera 7 */
   word-wrap: break-word;      /* IE */
}

.select-dropdown li img.camera-icon{
    height: 40px;
    width: 40px;
    margin: 0.05rem 0.3rem;
    float: left;
}
.select-dropdown li span.filtrable {
    color: ver(---text-body);
    margin: 0.25rem 0.05rem;
    padding: 0.75rem;
}

@media (max-width: 575px) {
    .rgba-black-strong, .rgba-black-strong:after {
        background-color: rgba(0, 0, 0, 0.5);
    }
}

@media (max-width: 399px) {
    h1, .h1 {
        font-size: 1.2rem;
    }
    h2, .h2 {
        font-size: 1.1rem;
    }
    h3, .h3 {
        font-size: 1.0rem;
    }
    h4, .h4 {
        font-size: 0.9rem;
    }
    h5, .h5 {
        font-size: 0.8rem;
    }
    h6, .h6 {
        font-size: 0.7rem;
    }
}

@media (min-width: 400px) {
    h1, .h1 {
        font-size: 1.5rem;
    }
    h2, .h2 {
        font-size: 1.375rem;
    }
    h3, .h3 {
        font-size: 1.225rem;
    }
    h4, .h4 {
        font-size: 1.05rem;
    }
    h5, .h5 {
        font-size: 0.85rem;
    }
    h6, .h6 {
        font-size: 0.7rem;
    }
}

@media (min-width: 576px) {
    h1, .h1 {
        font-size: 1.75rem;
    }
    h2, .h2 {
        font-size: 1.5rem;
    }
    h3, .h3 {
        font-size: 1.33rem;
    }
    h4, .h4 {
        font-size: 1.15rem;
    }
    h5, .h5 {
        font-size: 0.95rem;
    }
    h6, .h6 {
        font-size: 0.75rem;
    }
}

@media (min-width: 768px) {
    h1, .h1 {
        font-size: 2.0rem;
    }
    h2, .h2 {
        font-size: 1.7rem;
    }
    h3, .h3 {
        font-size: 1.45rem;
    }
    h4, .h4 {
        font-size: 1.25rem;
    }
    h5, .h5 {
        font-size: 1.05rem;
    }
    h6, .h6 {
        font-size: 0.8rem;
    }
}

@media (min-width: 992px) {
    h1, .h1 {
        font-size: 2.25rem;
    }
    h2, .h2 {
        font-size: 1.85rem;
    }
    h3, .h3 {
        font-size: 1.6rem;
    }
    h4, .h4 {
        font-size: 1.4rem;
    }
    h5, .h5 {
        font-size: 1.15rem;
    }
    h6, .h6 {
        font-size: 0.9rem;
    }
}

@media (min-width: 1200px) {
    /* These are the values used in Bootstrap 4.x */
    /* They represent the highest possible values */
    /* for browser windows 1200px and wider */
    h1, .h1 {
        font-size: 2.5rem;
    }
    h2, .h2 {
        font-size: 2.0rem;
    }
    h3, .h3 {
        font-size: 1.75rem;
    }
    h4, .h4 {
        font-size: 1.5rem;
    }
    h5, .h5 {
        font-size: 1.25rem;
    }
    h6, .h6 {
        font-size: 1.0rem;
    }
}

.pt-6, .px-6 {
    padding-top: 3.5rem!important;
}

.pt-7, .px-7 {
    padding-top: 4rem!important;
}

.pt-8, .px-8 {
    padding-top: 4.5rem!important;
}


.border-2 {
    border: 1px solid #cccccc !important;
}

.border-3 {
    border: 0.03rem solid #AAAAAA !important;
}

.nav-link.active {
    border-bottom: 2px solid #fff;
    font-weight: bold !important;
}

.white-text a {
    color: #ffffff;
}

.fixed-sn main {
    margin-left: 15rem;
    margin-right: 0;
    margin-top: 3rem;
    padding-top: 0;
    padding-left: 0;
}

@media only screen and (max-width: 1440px) {
    .fixed-sn main {
        margin-left: 0;
    }
}

@media only screen and (max-width: 599px) {
    .fixed-sn main {
        margin-top: 1.5rem;
    }
}


.fixed-sn footer {
    padding-left: 0;
}

.side-nav {
    background-color: var(---side-nav);
    color: var(---text-body);
}

.side-nav .collapsible a {
    color: var(---text-body);
    font-size: 1rem;
    font-weight: 400;
}

.side-nav .collapsible .fa {
    font-size: 1rem;
    margin-right: 13px;
    width: 14px;
}

.side-nav .collapsible a:hover,
.side-nav .collapsible .fa:hover {
    color: var(---app-primary-color);
}


.side-nav .collapsible li.active a {
  background: var(---row-light);
}

.side-nav .collapsible li.active a:after {
  top: 6px;
  right: 0;
  content: '';
  position: absolute;
  display: inline-block;
  border-top: 12px solid rgba(0, 0, 0, 0);
  border-bottom: 12px solid rgba(0, 0, 0, 0);
  border-right: 10px solid #E9F0F5;
}

.side-nav .collapsible li.active:after {
  content: '';
  top: 0;
  bottom: 0;
  background: #E82227;
  width: 4px;
  position: absolute;
  left: 0;
}



.logo-nav{
    padding-top: 8px !important;
    padding-bottom: 8px !important;
}

.navbar .nav-item .nav-link,
.double-nav a {
    color: #303030;
    /*font-size: 1.2rem;*/
    text-transform: uppercase;
}

.navbar .nav-item .nav-link:hover,
.double-nav a:hover,
a.hover-red:hover,
.nav-item:hover,
.navbar.navbar-light .breadcrumb .nav-item .nav-link:hover, .navbar.navbar-light .navbar-nav .nav-item .nav-link:hover {
    color: #E82227;
}

body.home .navbar-brand {
    padding-top: 0;
}
@media (max-width: 380px) {
    /*.nav-link, .navbar {*/
        /*padding: .5rem .5rem;*/
    /*}*/
}

@media (max-width: 768px) {
    body.home .navbar-brand {
        margin-top: -1rem;
    }
}

a.hover-blue:hover {
    color: #0056b3;
}


/*.form-control {*/
    /*font-size: 1.4rem;*/
    /*height: unset;*/
/*}*/
/*.input-group-text {*/
    /*font-size: 1.4rem;*/
/*}*/

.input-selection select.browser-default {
    /*width: 70%;*/
    padding: 2px 2px;
    display: inline-block !important;
    font: unset;
}

.form-check-input {
    height: 18px;
    width: 18px;
}

.pretty.p-icon .state .icon {
    z-index: 0;
}

hr {
    height: 0.5rem;
    /*background-color:#BBBBBB;*/
    margin-top: 10px;
    margin-bottom: 10px;
    width: 100%;
    border-top: 1px solid var(---row-dark);
    /*border-top: 1px solid rgba(0,0,0,.1);*/
    /*border: #BBBBBB;*/
}

.breadcrumb {
  padding: 8px 15px;
}

.breadcrumb > li {
  margin-right: 8px;
}

/*input[type='checkbox'],*/
/*input[type='checkbox']:checked,*/
/*input[type='checkbox']:not(:checked)*/
/*{*/
    /*-webkit-appearance:none;*/
    /*width: 14px;*/
    /*height: 14px;*/
    /*background: #FFFFFF;*/
    /*border-radius: 4px;*/
    /*border: 1px solid #555;*/
    /*opacity: 1;*/
    /*z-index: 0;*/
    /*position: unset;*/

/*}*/
/*input[type='checkbox']:checked {*/
    /*background: #4285f4;*/
    /*content: "\f087";*/
    /*font-family: FontAwesome;*/
    /*font-style: normal;*/
    /*font-weight: normal;*/
/*}*/

.dropdown-menu{
    background-color: var(---side-nav);
    border: 1px solid var(---row-light);
}

.dropdown-menu-white{
    background-color: #fff;
    border: 1px solid #eeeeee;
}

.dropdown-header {
    font-size: 1rem;
    font-weight: 500;
    color: var(---text-body);
    padding-bottom: 10px;
    border-bottom-style: solid;
    border-bottom-color: #3D3D3D;
    border-bottom-width: 1px;
    margin-bottom: 10px;
}

.dropdown .dropdown-menu .dropdown-item,
.dropup .dropdown-menu .dropdown-item,
.dropleft .dropdown-menu .dropdown-item,
.dropright .dropdown-menu .dropdown-item,
.dropdown .dropdown-menu .dropdown-item > a {
    font-size: 0.9rem;
    color: var(---text-body); 
    
}

.dropdown .dropdown-menu .dropdown-item.active,
.dropdown .dropdown-menu .dropdown-item.active:hover,
.dropdown .dropdown-menu .dropdown-item:hover,
.dropdown .dropdown-menu .dropdown-item:hover > a {
    /*background-color: #333333;*/
     color: var(---app-primary-color) !important; 
    background-color: var(---row-light) !important;
    font-size: 0.9rem !important;
}

.dropdown .dropdown-menu-white .dropdown-item,
.dropup .dropdown-menu-white .dropdown-item,
.dropleft .dropdown-menu-white .dropdown-item,
.dropright .dropdown-menu-white .dropdown-item,
.dropdown  .dropdown-menu-white .dropdown-item > a {
    font-size: 0.9rem;
    color: #000; 
    
}

.dropdown .dropdown-menu-white .dropdown-item.active,
.dropdown .dropdown-menu-white .dropdown-item.active:hover,
.dropdown .dropdown-menu-white .dropdown-item:hover,
.dropdown .dropdown-menu-white .dropdown-item:hover > a {
    /*background-color: #333333;*/
     color: var(---app-primary-color) !important; 
    background-color: #eeeeee !important;
    font-size: 0.9rem !important;
}

.btn {
    white-space: nowrap;
}

.btn.btn-disabled {
    color: #999999;
    background-color: #e6e6e6 !important;
}

.btn-light-grey {
    color: #333333;
    background-color: #e6e6e6;
    border-color: #adadad;
    display: inline;
}

.btn-red {
    background-color: var(---app-primary-color) !important;
}

btn-outline-danger{
    border-color: var(---app-primary-color) !important;
    color:  var(---app-primary-color) !important;
}

.btn-toolbar {
    color: var(---text-body);
    background-color: var(---background);
    border-color: var(---row-light);
    border-width: 1px;
    border-style: solid;
    display: inline;
    height: 32px;
    width: 32px;
    padding: unset;
    /*vertical-align: middle!important;*/
    /*align-items: center;*/
    /*position:relative;*/
    /*margin-left:auto;*/
    /*margin-right:auto;*/
    /*text-align:center;*/
}

.btn.btn-toolbar > i.fa {
    font-size: 1.0rem;
    /* The below is all the css for the class flex-center */
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    height: 100%;
}

.btn-toolbar:hover {
color: var(---app-primary-color);
}

.btn-pressed {
    color: #FFFFFF;
    background-color: #333333;
    border-color: #adadad;
    display: inline;
}
.btn-pressed > i, .btn-pressed:hover {
    color: #FFFFFF;
}

.btn.btn-xs {
    padding: 0.5rem 0.5rem;
    font-size: 0.6rem;
    line-height: 1.0;
}
.btn.btn-xs > i.fa {
    font-size: 0.6rem;
}


.btn.btn-xxs {
    padding: 0.2rem 0.2rem;
    font-size: 0.5rem;
    line-height: 1.0;
}
.btn.btn-xxs > i.fa {
    font-size: 0.5rem;
}

/*.btn.btn-sm {*/
    /*font-size: 1.0rem;*/
/*}*/
/*.btn.btn-sm > i.fa {*/
    /*font-size: 1.1rem;*/
/*}*/

/*.btn.btn-md {*/
    /*font-size: 1.4rem;*/
/*}*/
/*.btn.btn-md > i.fa {*/
    /*font-size: 1.4rem;*/
/*}*/

/*.btn.btn-lg {*/
    /*font-size: 1.4rem;*/
/*}*/
/*.btn.btn-lg > i.fa {*/
    /*font-size: 1.4rem;*/
/*}*/

@media (max-width: 768px) {
    /*.fs-sm-2 {*/
        /*font-size: 1.3rem;*/
    /*}*/
}

@media (max-width: 576px) {
    /*.fs-sm-2 {*/
        /*font-size: 1.3rem;*/
    /*}*/

    .btn.btn-lg {
        padding: 0.6rem 1.2rem;
        /*font-size: 1.0rem;*/
    }

    .btn.btn-md {
        padding: 0.5rem 1.0rem;
    }

    .btn.btn-sm {
        padding: 0.5rem 1.0rem;
        /*font-size: 0.9rem;*/
    }

    .btn.btn-xs {
        /*padding: 0.5rem 0.5rem;*/
        font-size: 0.5rem;
        line-height: 0.9;
    }

    .btn.btn-xs > i.fa {
        font-size: 0.5rem;
    }

    .btn.btn-xxs {
        padding: 0.2rem 0.2rem;
        font-size: 0.4rem;
        line-height: 0.8;
    }
    .btn.btn-xxs > i.fa {
        font-size: 0.4rem;
    }
    .pl-20 {
        padding-left: 20px;
    }
}

.btn.btn-auto {
    padding: 0.5rem 1.0rem;
    /*font-size: 0.9rem;*/
    width: 100%;
}

/*.navbar > .container, .navbar > .container-fluid {*/
    /*display: block;*/
/*}*/

/*.navbar {*/
    /*padding: 0;*/
/*}*/

.dropdown-toggle::after {
    border-top: 0;
    border-right: 0;
    border-bottom: 0;
    border-left: 0;
}

.modal-title {
    font-size: 16px;
}

.shadow-dark {
    -webkit-box-shadow: 6px 6px 22px 0px rgba(0,0,0,0.59);
    -moz-box-shadow: 6px 6px 22px 0px rgba(0,0,0,0.59);
    box-shadow: 6px 6px 22px 0px rgba(0,0,0,0.59);
}


.sttog {
    text-align: center;
    cursor: pointer;
    margin: 2px;
    -webkit-box-shadow: 6px 6px 22px 0px rgba(0,0,0,0.59);
    -moz-box-shadow: 6px 6px 22px 0px rgba(0,0,0,0.59);
    box-shadow: 6px 6px 22px 0px rgba(0,0,0,0.59);
}

.sttog:active,
.sttog.active{
    -webkit-box-shadow: 0px 0px 3px 1px rgba(0,0,0,0.86);
    -moz-box-shadow: 0px 0px 3px 1px rgba(0,0,0,0.86);
    box-shadow: 0px 0px 3px 1px rgba(0,0,0,0.86);
    transform: translateY(2px);
}
.sttog-lg {
    padding: 6px 10px;
    font-size: 18px;
}

.sttog-md {
    padding: 4px 10px;
    font-size: 16px;
}

.sttog-sm {
    padding: 2px 8px;
    font-size: 14px;
}

.sttog-xs {
    padding: 1px 2px;
    font-size: 10px;
}


.sttog-grey,
.sttog-grey-off {
    /*background: radial-gradient(#cccccc 10%, #aaaaaa 40%, #777777 90%);*/
    background-color: #aaaaaa;
    color: #666666 !important;
}

.sttog-grey:active,
.sttog-grey.active,
.sttog-grey-on:active,
.sttog-grey-on.active
{
    /*background: radial-gradient(#cccccc 10%, #aaaaaa 40%, #777777 90%);*/
    /*background: radial-gradient(#777777 10%, #aaaaaa 40%, #cccccc 90%);*/
    background-color: #aaaaaa;
    color: #111111 !important;
}

.sttog-green,
.sttog-green-off
{
    background-color: #339933;
    color: #111111 !important;
}

.sttog-green:active,
.sttog-green.active,
.sttog-green-on:active,
.sttog-green-on.active
{
    background-color: #12cc12;
    color: #111111 !important;
}

.sttog-red-grad,
.sttog-red-grad-off
{
    background: radial-gradient(#7E0D10 10%, #C21A1E 40%, #E82227 90%);
    color: #ffffff !important;
}

.sttog-red-grad:active,
.sttog-red-grad.active,
.sttog-red-grad-on:active,
.sttog-red-grad-on.active
{
    background: radial-gradient(#E82227 10%, #C21A1E 40%, #7E0D10 90%);
    color: #ffffff !important;
}

.card-title.lg {
    font-size: 1.0rem !important;
    font-weight: 500 !important;
}

.card-text.lg {
    font-size: 0.8rem !important;
    font-weight: 400 !important;
}

.select-wrapper + label {
    pointer-events: none;
    z-index: 1;
}

/* select.form-control:not([size]):not([multiple]) {
    height: unset;
} */


/*html,*/
/*body,*/
/*header,*/
/*.jarallax {*/
  /*height: 100vh;*/
/*}*/

/*html,*/
/*body,*/
/*header,*/
/*.intro-2 {*/
  /*height: 700px;*/
/*}*/

.modal-dialog.modal-notify.modal-info .modal-header,
.modal-header {
  background: var(---side-nav);
  color: var(---text-body);
  border: none;
}

.modal-body-color {
    background-color: var(---background);
    border: 1px solid var(---side-nav);
}
.secondary-modal {
  background: #307BBB;
  color: #FFF;
}

.modal-header .close {
  color: var(---text-body);
  font-size: 1.5rem;
  text-shadow: none;
}

.modal-footer{
    border-top: 1px solid var(---row-dark);
}

.modal-header .close:hover {
    color: var(---app-primary-color);
    font-size: 1.5rem;
    text-shadow: none;
}

.modal-footer .btn {
  font-size: 13px;
  padding-right: 20px;
  padding-left: 20px;
}

.blueimp-gallery>.next, .blueimp-gallery>.prev,
.blueimp-gallery>.close, .blueimp-gallery>.play-pause {
    opacity: 1.0;
    color: #FFFFFF !important;
}

/*.gallery-control-container {*/
    /*position: absolute;*/
    /*height: 40px;*/
    /*width: 100px;*/
    /*bottom: 0px;*/
    /*left: 50%;*/
    /*text-align: center;*/

/*}*/
.blueimp-gallery>.play-pause {
    left: 50%;
}




.section-nav-bar {
 
    padding: 0;

    background: #9e0f13; 
    /* background: radial-gradient(#E82227 10%, #C21A1E 40%, #7E0D10 90%);  */
    line-height: 1.4rem;
}

/*.section-nav-bar ul {*/
    /*margin: 0;*/
    /*!*margin-left: -11px;*!*/
/*}*/

.section-nav-bar .nav-item .nav-link {
    /*display: inline-block;*/
    /*border-right: 2px solid grey;*/
    padding-left: 20px;
    padding-right: 20px;
    /*min-width: 80px;*/
    /*height: 28px;*/
    color: white;
    font-weight: normal;
    /*text-align: center;*/
}
.section-nav-bar .nav-item .nav-link.active {
    color: #fff !important;
    font-weight: bold;
    border-bottom: 2px solid #fff;

}

.section-nav-bar .nav-item .nav-link:hover {
    color: #fff !important;
    font-weight: bold;
}



/* button when switch to right / ON */
.switch label input[type=checkbox]:checked + .lever:after {
    background-color: var(---app-primary-color);
}
/* groove behind the button when switch to right / ON  */
.switch label input[type=checkbox]:checked + .lever {
    /*background-color: #B2D7FF;*/
    background-color: var(---app-primary-color);
}

.custom-control-input:checked~.custom-control-label::before{
    color: var(---text-body) !important;
    border-color: var(---app-primary-color)!important;
    background-color: var(---app-primary-color)!important;
}

/* button when switch to right / ON */
.switch label.md-switch input[type=checkbox]:checked + .lever:after {
    left: 1rem;
}

/* groove behind the button */
.switch label.md-switch .lever {
    width: 1.75rem;
    height: .70rem;
    margin-left: 0.25rem;
    margin-right: 0.25rem;
}

/*Round Button*/
.switch label.md-switch .lever:after {
    width: 1rem;
    height: 1rem;
    left: -0.25rem;
}


/* button when switch to right / ON */
.switch label.sm-switch input[type=checkbox]:checked + .lever:after {
    left: 1rem;
}

/* button when switch to left / OFF */
.switch label.sm-switch input[type=checkbox] + .lever:after {
    background-color: var(---app-primary-color);
}

/* groove behind the button when switch to right / ON  */
.switch label.sm-switch input[type=checkbox]:checked + .lever {
    background-color: var(---background);
}

/* groove behind the button when switch to left / OFF  */
.switch label.sm-switch input[type=checkbox] + .lever {
    background-color: var(---background);
}

.switch label.sm-switch {
    font-size: 9pt;
}

.switch label.sm-switch {
    color: var(---text-body);
}

.switch label.sm-switch .selectedText {
    color: var(---text-body);
    font-weight: 400;
}




/* groove behind the button */
.switch label.sm-switch .lever {
    width: 1.75rem;
    height: .4rem;
    margin-left: 0.25rem;
    margin-right: 0.25rem;
}

/*Round Button*/
.switch label.sm-switch .lever:after {
    width: 0.75rem;
    height: 0.75rem;
    left: 0rem;
}

.form-control{
    color: var(---text-body);
    background-color: var(---row-dark);
    border: none;
}
.form-control:focus{
    border-color: var(---app-primary-color);
    color: var(---text-body);
    background-color: var(---row-light);
    box-shadow: 0 0 0 0.1rem rgba(255, 0, 0, 0.6);
}

.select2-results{
    background-color: var(---background) !important;
}

.select2-dropdown{
    background-color: var(---background) !important;
    color: var(---text-body) !important;
    border: 1px solid var(---row-dark);
}

/* .select2-container--default .select2-selection--single {
    background-color: var(---row-dark);
    border: 1px solid var(---row-dark);
    color: var(---text-body);
    border-radius: 4px;
} */

.select2-container .select2-selection--single
{
    background-color: var(---row-dark);
    border: 1px solid var(---row-dark);
    color: var(---text-body) !important;
    border-radius: 4px;
    height: 35px;
}

.select2-search__field{
    background-color: var(---row-dark);
    border: 1px solid var(---row-dark);
    color: var(---text-body) !important;
    border: 0 !important;
}

.select2-selection__rendered{
    padding-top: 3px;
    color: var(---text-body) !important;
}


.select2-container--default .select2-selection--singl--focus
.select2-container .select2-container--default .select2-container--below .select2-container--focus{
    box-shadow: 0 0 0 0.1rem rgba(255, 0, 0, 0.6);
}


.select2-container--default .select2-results__option--selected {
    background-color: var(---row-light);
    color: var(---text-body) !important;
}

.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable{
    background-color: var(---app-primary-color) !important;
    color: var(---text-body) !important;
}

.pretty input:checked~.state.p-danger-o .icon{
    color: var(---app-primary-color);
    box-shadow: none;
}

.pretty input:checked~.state.p-danger-o label:before, .pretty.p-toggle .state.p-danger-o label:before {
    border-color: var(---app-primary-color);
}


.fa:hover{
    color: var(---app-primary-color);
}

.input-selection select.browser-default option:hover{
    background-color: var(---app-primary-color) !important;
}

.option{
    color: var(---text-body);
}
.option:hover {
    background-color: var(---app-primary-color) !important; /* Change this to your desired color */
}

.ck-reset_all :not(.ck-reset_all-excluded *), .ck.ck-reset_all
.ck.ck-toolbar{
    background-color: var(---row-dark) !important;
    color: var(---text-body)!important;
}

.ck.ck-button:not(.ck-disabled):hover, a.ck.ck-button:not(.ck-disabled):hover {
    color: var(---app-primary-color) !important;
    background-color: var(---row-light) !important;
}

.ck.ck-editor__main>.ck-editor__editable{
    background-color: var(---background) !important;
    color: var(---text-body)!important;
}

.md-form input[type="email"]:not(.browser-default)+label::after
.md-form label.active::after{
    color: var(---app-primary-color);
}

/* .md-form input[type="text"]:not(.browser-default){
    border-bottom: 1px solid var(---row-dark) !important;
} */

.md-form input[type="number"]:not(.browser-default):focus:not([readonly]),
.md-form input[type="password"]:not(.browser-default):focus:not([readonly]),
.md-form input[type="email"]:not(.browser-default):focus:not([readonly]),
.md-form input[type="text"]:not(.browser-default):focus:not([readonly]) {
    /* box-shadow: 0 1px 0 0 var(---app-primary-color) !important; */
    border-bottom: 2px solid var(---app-primary-color) !important;
    box-shadow: none !important;
}

/* .md-form-white input[type="number"]:not(.browser-default):focus:not([readonly]),
.md-form-white input[type="password"]:not(.browser-default):focus:not([readonly]),
.md-form-white input[type="email"]:not(.browser-default):focus:not([readonly]),
.md-form-white input[type="text"]:not(.browser-default):focus:not([readonly]) {
    box-shadow: 0 1px 0 0 #db161b !important;
    border-bottom: 1px solid #db161b !important;
} */

.md-form label.active{
    color: var(---app-primary-color) !important;
}

/* .md-form-white label.active{
    color: #db161b !important;
} */

/* .form-control-white{
    background-color: #eeeeee;
} */


.btn-blue {
    box-shadow: var(---btn-boxShadow) !important;;;
    background: var(---btn-bg) !important;;;
    color: var(---btn-text)!important;;;
    border-radius: 12px !important;
    margin: 0;
    text-transform: uppercase;
    word-wrap: break-word;
    white-space: normal;
    cursor: pointer;
    border: 0;
    border-radius: .125rem;
    -webkit-box-shadow: var(---btn-boxShadow);
    -webkit-transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;    
    padding: .84rem 2.14rem!important;
    font-size: .81rem!important;;;
    font-weight: bold !important;;
    background: var(---btn-primary-bg) !important;
    color: var(---btn-primary-text) !important;
}



/* Secondary Button */
.btn-grey {
    box-shadow: var(---btn-boxShadow)!important;;;
    background: var(---btn-bg)!important;;;
    color: var(---btn-text)!important;;;
    border-radius: 12px !important;
    margin: 0;
    text-transform: uppercase;
    word-wrap: break-word;
    white-space: normal;
    cursor: pointer;
    border: 0;
    border-radius: .125rem;
    -webkit-box-shadow: var(---btn-boxShadow);
    -webkit-transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;    
    padding: .84rem 2.14rem;
    font-size: .81rem;
    font-weight: bold  !important;;
    background: var(---btn-secondary-bg) !important;
    color: var(---btn-secondary-text) !important;
}

/* Utility Button */
.btn-utility {
    box-shadow: var(---btn-boxShadow)!important;;;
    background: var(---btn-bg)!important;;;
    color: var(---btn-text)!important;;;
    border-radius: 12px !important;
    margin: 0;
    text-transform: uppercase;
    word-wrap: break-word;
    white-space: normal;
    cursor: pointer;
    border: 0;
    border-radius: .125rem;
    -webkit-box-shadow: var(---btn-boxShadow);
    -webkit-transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
    padding: .84rem 2.14rem;
    font-size: .81rem;
    font-weight: bold  !important;;
    background: var(---btn-utility-bg) !important;
    color: var(---btn-utility-text) !important;
}
.jconfirm-box,
.jconfirm .jconfirm-box.jconfirm-type-blue{
    border-top: solid 7px var(---app-primary-color) !important;
}

.jconfirm-icon-c,
.jconfirm-box,
.jconfirm .jconfirm-box,
.jconfirm.jconfirm-material .jconfirm-box div.jconfirm-content,
.jconfirm.jconfirm-material .jconfirm-box div.jconfirm-title-c {
    background-color: var(---background) !important;
    color: var(---text-body) !important;
}

.jconfirm.jconfirm-material .jconfirm-box div.jconfirm-content{
margin-left: 8px !important;
}
.jconfirm .jconfirm-box.jconfirm-type-blue .jconfirm-title-c .jconfirm-icon-c{
    color: var(---app-primary-color) !important;
}
/* For extra small screens (up to 575px, mobile devices) */
@media (max-width: 575.98px) {
    .btn-grey,
    .btn-blue {
        padding: 0.55rem 0.45rem !important;
        font-size: 0.75rem!important;
    }
    .btn-sm-padding {
        padding: .45rem 1.0rem !important;
    }

    .cr-boundary{
        width: 160px !important;
        height: 160px !important;
    }

    .jconfirm.jconfirm-material .jconfirm-box{
        padding: 5px 3px 2px 3px !important;
    }

    
    .jconfirm .jconfirm-box div.jconfirm-title-c,
    .jconfirm .jconfirm-box div.jconfirm-title-c .jconfirm-title{
        font-size: 14px !important;
        
    }
  }
  
  /* For small screens (576px to 767px, tablets) */
  @media (min-width: 576px) and (max-width: 767.98px) {
    .btn-grey,
    .btn-blue {
      padding: .64rem 1.62rem !important;
      font-size: .75rem !important;
    }
    .btn-sm-padding {
        padding: .45rem 1.0rem !important;
    }

    .cr-boundary{
        width: 170px !important;
        height: 170px !important;
    }

    .jconfirm.jconfirm-material .jconfirm-box{
        padding: 6px 4px 3px 4px!important;
    }

    .jconfirm .jconfirm-box div.jconfirm-title-c,
    .jconfirm .jconfirm-box div.jconfirm-title-c .jconfirm-title{
        font-size: 14px !important;
        
    }
  }
  
  /* For medium screens (768px to 991px, small laptops) */
  @media (min-width: 768px) and (max-width: 991.98px) {
    .btn-grey,
    .btn-blue {
      padding: .74rem 1.86rem!important;
      font-size: .75rem!important;
    }
    .btn-sm-padding {
      padding: .45rem 1.0rem !important;
    }

    .cr-boundary{
        width: 180px !important;
        height: 180px !important;
    }

    .jconfirm.jconfirm-material .jconfirm-box{
        padding: 10px 8px 6px 8px!important;
    }

  }
  
  /* For large screens (992px and above, desktops) */
  @media (min-width: 992px) {
    .btn-grey,
    .btn-blue {
        padding: .84rem 2.14rem!important;
        font-size: .81rem!important;
    }
      .btn-sm-padding {
          padding: .45rem 1.0rem !important;
      }
    .cr-boundary{
        width: 200px !important;
        height: 200px !important;
    }
  }

  .card-body{
    background-color: var(---background);
  }


  .border{

    border: 1px solid var(---row-dark) !important;
  }
  .border-bottom{

    border-bottom: 1px solid var(---row-dark) !important;

  }

  
  .border-light{

    border: 1px solid var(---row-light) !important;
  }
  .border-bottom-light{

    border-bottom: 1px solid var(---row-light) !important;

  }